Bug 7775 - tools/upload-file.pl: scope $uploaded_file for plack
Summary: tools/upload-file.pl: scope $uploaded_file for plack
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7172 7773 7790
  Show dependency treegraph
 
Reported: 2012-03-21 10:49 UTC by Dobrica Pavlinusic
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (630 bytes, patch)
2012-03-21 10:49 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7775 - tools/upload-file.pl: scope $uploaded_file for plack (771 bytes, patch)
2012-03-21 14:52 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7775 - tools/upload-file.pl: scoping for plack (1.38 KB, patch)
2012-03-23 11:09 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[Signed-Off] Bug 7775 - tools/upload-file.pl: scoping for plack (1.44 KB, patch)
2012-03-23 11:16 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2012-03-21 10:49:03 UTC Comment hidden (obsolete)
Comment 1 Dobrica Pavlinusic 2012-03-21 14:52:59 UTC Comment hidden (obsolete)
Comment 2 Alex Arnaud 2012-03-22 08:36:31 UTC
I've applied this patch and it seems to fix the problem described in title. Indeed, files upload works now but there's a (new?) problem:

When the upload is done and clicking "Manage staged records" link on MARC Staging results page in order to view the details of the batch, i get an Internal Server Error.

Also, in "Manage Staged MARC Records" page (list of batches) the file name is not shown on the line related to record(s) i've juste imported.
Comment 3 Dobrica Pavlinusic 2012-03-22 09:38:05 UTC
Alex, that's problem with tools/manage-marc-import.pl for which I submitted bug 7790, so you might as well sign-off this one ;-)
Comment 4 Alex Arnaud 2012-03-23 10:33:34 UTC
I have the same problem than in comment 2 when applying 7775 and 7790.
Comment 5 Dobrica Pavlinusic 2012-03-23 11:09:26 UTC Comment hidden (obsolete)
Comment 6 Alex Arnaud 2012-03-23 11:16:07 UTC
Created attachment 8586 [details] [review]
[Signed-Off] Bug 7775 - tools/upload-file.pl: scoping for plack

$uploaded_file is now scoped with our, and we set correct filename

Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 7 Alex Arnaud 2012-03-23 11:16:55 UTC
This patch should be pushed with 7790.
Comment 8 Paul Poulain 2012-03-26 16:18:04 UTC
QA comment: same kind of patch as all the plack compliance patch. Passed QA
Comment 9 Jared Camins-Esakov 2012-12-31 00:48:45 UTC
There have been no further reports of problems so I am marking this bug resolved.